@import '../variables/color.scss';
.o-dpck {
    .o-input {
        font-size: 14px;
        line-height: 20px;
        height: 40px;
        width: 240px;
        padding: 10px 16px;
        color: $grey900 !important;
        background-color: $grey100;
        border: none;
    }
    .o-drop__menu {
        margin-top: 8px;
        padding-left: 12px;
        padding-right: 12px;
        // margin-left: -12px;
        // margin-right: 12px;
        width: 360px !important;
        height: 392px;
        box-shadow: 0 2px 5px 0 rgba(28, 23, 38, 0.1);
    }
    &__header {
        background-color: $grey100 !important;
        margin-right: -12px;
        margin-left: -12px;
        height: 48px;
        display: flex;
        align-items: center;
        justify-content: center;
        // position: relative;
        // width: 248px !important;
    }
    &__table__head {
        background-color: $grey100;
        // width: 248px !important;
        // margin-right: -12px !important;
        margin-left: -12px !important;
        margin-right: -12px !important;
        padding-left: 12px;
        padding-right: 12px;
        margin-bottom: 8px !important;
        display: block;
    }

    &__table__cell {
        display: inline-flex;
        align-items: center;
        justify-content: center;
        position: relative;
    }
    .o-sel-arrow {
        background-image: none;
    }
    .o-ctrl-sel {
        select {
            font-size: 16px !important;
            font-weight: 700 !important;
            padding-right: 0;
            font-size: 14px !important;
            border: none;
            text-decoration: none !important;
            &:focus {
                outline: 1px solid $purple100;
            }
            background-color: $grey100;
        }
    }
    button.o-dpck__header__previous {
        background-color: $white !important;
        border: none !important;
        color: $grey900 !important;
        background-color: $grey100 !important;
        width: 12px !important;
        position: absolute !important;
        left: 0 !important;
        &::after {
            content: '\2039';
            font-weight: bold;
        }
    }
    button.o-dpck__header__next {
        background-color: $white !important;
        border: none !important;
        color: $grey900 !important;
        background-color: $grey100 !important;
        position: absolute !important;
        right: 0 !important;
        &::after {
            content: '\203A';
            font-weight: bold;
        }
    }
    // border-spacing: 10px;
    &__table__cell {
        // display: inline-flexbox !important;
        width: 32px !important;
        height: 32px !important;
        line-height: 20px !important;
        font-size: 14px;

        &--within-hovered {
            background-color: $purple100 !important;
        }

        &--selected {
            background-color: $purple600 !important;
            // margin: 12px !important;
        }
        &--within-selected,
        &--within-hovered {
            background-color: $purple100 !important;
            color: $grey900 !important;
            // margin: 12px !important;
        }

        &--first-hovered,
        &--first-selected {
            background-color: $purple600 !important;
            border-radius: 50%;
            color: $white !important;
            &::after {
                width: 16px;
                height: 32px;
                position: absolute;
                // left: 50%;
                // top: 50%;
                right: 0;
                content: '';
                // border-radius: 50%;
                z-index: -1;
                background-color: $purple100;
                // margin: -16px 0 0 -16px;
            }
        }
        &--last-hovered,
        &--last-selected {
            background-color: $purple600 !important;
            border-radius: 50%;
            color: $white !important;
            &::before {
                width: 16px;
                height: 32px;
                position: absolute;
                // left: 50%;
                // top: 50%;
                left: 0;
                content: '';
                // border-radius: 50%;
                z-index: -1;
                background-color: $purple100;
                // margin: -16px 0 0 -16px;
            }
        }
    }
    .footer-container {
        height: 64px;
        padding-bottom: 24px;
        text-align: right;
        width: 224px !important;
        display: flex;
        button {
            font-size: 16px;
            line-height: 24px;
            height: 40px;
            margin-left: 16px;
            border-width: 1px;
            text-align: center;
            padding: 7px 24px;
        }
    }
}
